<template>
  <page>
    <button class="btn btn-default" @click="notify('default')">Notify default</button>
    <button class="btn btn-info" @click="notify('info')">Notify info</button>
    <button class="btn btn-warning" @click="notify('warning')">Notify warning</button>
    <button class="btn btn-danger" @click="notify('danger')">Notify danger</button>
    <button class="btn btn-success" @click="notify('success')">Notify success</button>
  </page>
</template>

<script>
export default {
  name: 'notifications-page',

  methods: {
    notify (type) {
      app.$emit('notify', {
        type,
        title: 'Hello',
        body: 'Hello World!'
      })
    }
  }
}
</script>

<style lang="scss">
</style>
